
package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.EmpresaConfigLayoutDAO;
import com.rjconsultores.ventaboletos.entidad.EmpresaConfigLayout;
import com.rjconsultores.ventaboletos.service.EmpresaConfigLayoutService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("empresaConfigLayoutService")
public class EmpresaConfigLayoutServiceImpl implements EmpresaConfigLayoutService {

	@Autowired
	private EmpresaConfigLayoutDAO empresaConfigLayoutDAO;

	public List<EmpresaConfigLayout> obtenerTodos() {
		return empresaConfigLayoutDAO.obtenerTodos();
	}

	public EmpresaConfigLayout obtenerID(Integer id) {
		return empresaConfigLayoutDAO.obtenerID(id);
	}

	@Transactional
	public EmpresaConfigLayout suscribir(EmpresaConfigLayout entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return empresaConfigLayoutDAO.suscribir(entidad);
	}

	@Transactional
	public EmpresaConfigLayout actualizacion(EmpresaConfigLayout entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return empresaConfigLayoutDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(EmpresaConfigLayout entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		empresaConfigLayoutDAO.actualizacion(entidad);
	}

	public List<EmpresaConfigLayout> buscarByEmpresa(Integer empresaId) {
		return empresaConfigLayoutDAO.buscarByEmpresa(empresaId);
	}
}
